| Home | Libraries | People | FAQ | More

#### buffers_front

Returns the first buffer in a buffer sequence.

##### Synopsis

Defined in header `<boost/beast/core/buffers_prefix.hpp>`

    template<
        class BufferSequence>
    buffers_type< BufferSequence >
    buffers_front(
        BufferSequence const& buffers);

##### Description

This returns the first buffer in the buffer sequence. If the buffer sequence is an empty range, the returned buffer will have a zero buffer size.

##### Parameters

Name | Description
--- | ---
`buffers` | The buffer sequence. If the sequence is mutable, the returned buffer sequence will also be mutable. Otherwise, the returned buffer sequence will be constant.